WordPress.org

Support

Support » How-To and Troubleshooting » How to downgrade back to 2.9.2 from 3.0

How to downgrade back to 2.9.2 from 3.0

  • I upgraded to version 3.0 and Im really frustrated. My site takes extremely long to load after the upgrade, I tried to re-install 3.0 and it just hangs at “unpacking the update…”
    Once im in my admin it takes so long just to go to a different section of the user interface. Seriously im really sorry that I upgraded, and I really want to go back to 2.9.2 can some one help me please

Viewing 15 replies - 1 through 15 (of 26 total)
  • esmi

    @esmi

    Forum Moderator

    Have you tried:

    – deactivating all plugins to see if this resolves the problem? If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    – switching to the default theme to rule out any theme-specific problems?

    resetting the plugins folder by FTP or phpMyAdmin? Sometimes, an apparently inactive plugin can still cause problems.

    increasing the available memory?

    Moderator James Huff

    @macmanx

    Unless you have a backup that you can restore from, downgrading is an immensely difficult (if not impossible) process, which is why backing up before upgrading is strongly recommended both in the upgrade instructions and automatic upgrade interface.

    It would be better to solve your current problem. Try the basic troubleshooting steps that esmi suggested.

    I Have only one plug in that I use. but I did what you said about deactivating it and it still loads way to slow. even when im logged into the admin its like walking through molasses and it is really frustrating. Before the upgrade I didnt have any of these issues and im really upset that I did because 3.0 is not working for me. Some of my pages take 50 seconds to load and thats just insane im sorry.

    I have a backup and REALLY want to downgrade also. I have deactivated all my plugins, have DELETED all plugins, I have tried the 2010 theme and I still have problems that have not been addressed yet. I REALLY WANT TO DOWNGRADE!

    I tried to upgrade also. Now I recieve a fatal error. I thought that since it was giving me the upgrade option it was a safe thing to do.
    Now I have a fatal error
    Fatal error: Call to undefined function is_multisite() in /home/content/70/5476770/html/wp-includes/wp-db.php on line 505

    Help get me back to the previous install
    Josh McFadden

    I downloaded 2.9.2 and imported my old database back via phpAdmin but I am still getting those same problems. Dashboard says I’m running 2.9.2 now but I have the same errors from the 3.0 upgrade. ARGH!

    I had problems with upgrading plugins on 3.0 and kept getting errors for the last couple of hours, my IP was blocked, and it said it was doing maintenance – VERY FRUSTRATING!!! BUT, I contacted my host and he unblocked me.

    Then, I tried upgrading the plugin once again in 3.0 and the same thing happened! SO, I asked my host to switch me back to an earlier backup of my site which contained 2.9.2 and now it works great!!!!!!!

    Hugs, Patty

    Some progress
    I went into my host and at Godaddy and set my site back to 2 days ago. So now it appears to be working but it’s forcing me on the backend to upgrade my database. I’m going to allow for my database to be backed up on host this time before even moving forward with this. So far this upgrade has been way more trouble than it’
    s worth.

    I think I’ll ask my host to set me back 2 days also. I cannot get rid of these errors and they have nothing to do with plugins.

    OMG I got it to work!! I’m back to 2.9.2 and didn’t have to have the hosting company roll me back. Unfortunately I have no idea what did it. I made changes to config.php and htaccess. It never was a plugin issue.

    OMG, It is FIXED (and running 2.9.2)!!! Well, that only took All Day.

    downgrading was cake. i overlaid the 3.0 dirs wp-admin, wp-include and all root files with 2.9.2 versions and when going to login it said it needed to make database ‘upgrades’ which i let it, and then everything worked fine.

    I need to downgrade too, How can I do this.

    Problems have occurred with my theme due to this upgrade.

    Hi I need to downgrade as well as the upgrade is really making my site behave oddly

    I am not very techie and the sole person who looks after my website ( Its Charity website ) I am hosting with Godaddy so interested in the option to set the website back 2 days

    Who in Godaddy do i need to speak with and what do I need to ask for

    Many Thanks

    bitkahuna is GOD.

    I did what you said, and I have WordPress 2.9.2 back.

    Thanks a lot man.

    Regarding hatchhunter’s issue, thought this info might be useful to anyone that runs into the same kind of problem.

    This happened to me yesterday, so I rolled back to 2.9.2. (Just by re-uploading the 2.9.2 files.) Then upgraded the plugins first – then wordpress to 3.0 and all went well.

    For me it was the Events Calendar plugin. Upgrading it first cured the incompatibility it had with 3.0.

    So if you have a plugin that hasn’t been setup to be compatible with 3.0 yet, best recommendation is to hold off on the upgrade till the plugin is unless you don’t mind just deactivating it.

Viewing 15 replies - 1 through 15 (of 26 total)
  • The topic ‘How to downgrade back to 2.9.2 from 3.0’ is closed to new replies.
Skip to toolbar